Bug 60874 - UI: Context sensitive Help <f1> and Help Button missing in 'Tools -> Protect Document -> Document' dialog
Summary: UI: Context sensitive Help <f1> and Help Button missing in 'Tools -> Protect ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-15 06:33 UTC by Rainer Bielefeld Retired
Modified: 2017-03-02 18:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-02-15 06:33:49 UTC
Steps how to reproduce [Reproducible] with Server Installation of "LibO  4.0.0.3 -  English UI / German Locale [Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)]"  {tinderbox: @6, pull time 2013-01-31 11:30(?)} on German WIN7 Home Premium (64bit) with separate  new User Profile:

1. Open New Spreadsheet from LibO Start center
2. Menu 'Tools -> Prptect Document -> Document
   > Password dialot appears
3. <Help>
   Expected: Consequences of Document protection will be explained
   Actual: Password is explained

Should be corrected:
a) reached Help should be for 'Menus -> Tools -> Protect Document', where users 
   can find information concerning difference between "Protect Document" and 
   "Protect Sheet"
b) in Help 'Protecting document' what can be reached from (a) there should be a
   Link to Help 'Password', this link currently is missing

Already wrong in AOOo 3.4.0, so inherited from OOo
Comment 1 Buovjaga 2014-11-07 11:25:56 UTC
Confirmed, it is a good suggestion.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 8b21b5cbe78945b27525b4ce78ae3d981f90590f
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-06_03:55:51
Comment 2 QA Administrators 2015-12-20 16:13:18 UTC Comment hidden (spam)
Comment 3 Commit Notification 2017-03-02 18:26:42 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=817d5bea68df8fa5c0fd63d7a352c6e9edb86c1d

tdf#60874 (partial) Show correct page from "Protect Document" window
Comment 4 Commit Notification 2017-03-02 18:28:13 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51c0054a6fb956ff758206b4113ae2e76f82f5d4

tdf#60874 Set custom HID for Protect Document window

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.